import { customRef } from 'vue'

const photographyWay = ['普通巡检', '正射影像', '倾斜摄影'] // 摄影方式

export default function(data) {
  const list = [
    {
      label: '执飞无人机',
      value: data.equipmentName
    },
    {
      label: '摄影方式',
      value: photographyWay[data.photographyWay - 1]
    },
    {
      label: '挂载设备',
      value: data.equipmentMountName
    },
    {
      label: '盒子名称',
      value: data.cloudBoxName,
      isLive: 2
    }
  ]
  return customRef((track, trigger) => {
    return {
      get() {
        track()
        return list
      }
    }
  })
}
